<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module PUBLIC
        "-//Checkstyle//DTD Checkstyle Configuration 1.3//EN"
        "https://checkstyle.org/dtds/configuration_1_3.dtd">

<module name="Checker">
<!--    <property name="charset" value="UTF-8"/>-->
<!--    <module name="TreeWalker">-->
<!--        <module name="MissingOverride"/>-->
<!--        <module name="LeftCurly"/>-->
<!--        <module name="NeedBraces"/>-->
<!--        <module name="EmptyStatement"/>-->
<!--        <module name="EqualsHashCode"/>-->
<!--        <module name="SimplifyBooleanReturn"/>-->
<!--        <module name="StringLiteralEquality"/>-->
<!--        <module name="OneStatementPerLine"/>-->
<!--        <module name="IllegalImport">-->
<!--            <property name="illegalPkgs" value="sun, org.jetbrains.annotations"/>-->
<!--        </module>-->
<!--        <module name="RedundantImport"/>-->
<!--        <module name="UnusedImports"/>-->
<!--        <module name="UpperEll"/>-->
<!--        <module name="ArrayTypeStyle"/>-->
<!--        <module name="MemberName"/>-->
<!--        <module name="MethodName"/>-->
<!--        <module name="PackageName">-->
<!--            <property name="format" value="^[a-z]+(\.[a-z][a-z0-9]*)*$"/>-->
<!--        </module>-->
<!--        <module name="ParameterName"/>-->
<!--        <module name="IllegalIdentifierName"/>-->
<!--        <module name="OuterTypeNumber"/>-->
<!--        <module name="GenericWhitespace"/>-->
<!--        <module name="MethodParamPad"/>-->
<!--        <module name="ParenPad"/>-->
<!--        <module name="TypecastParenPad"/>-->
<!--        <module name="WhitespaceAfter"/>-->
<!--    </module>-->
<!--    <module name="LineLength">-->
<!--        <property name="max" value="150"/>-->
<!--    </module>-->
<!--    <module name="FileTabCharacter">-->
<!--        <property name="eachLine" value="true"/>-->
<!--    </module>-->
</module>
